%global enable_tests 0
%global srcname formatio
Name:                nodejs-formatio
Version:             1.2.0
Release:             2
Summary:             Human-readable object formatting
License:             BSD-3-Clause
URL:                 https://github.com/busterjs/formatio
Source0:             https://registry.npmjs.org/formatio/-/formatio-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging nodejs-samsam
%if 0%{?enable_tests}
BuildRequires:       npm(buster)
%endif
%description
Pretty formatting of arbitrary JavaScript values. Currently only supports
ascii formatting, suitable for command-line utilities. Like JSON.stringify, it
formats objects recursively, but unlike JSON.stringify, it can handle regular
expressions, functions, circular objects and more.
formatio is a general-purpose library. It works in browsers (including old and
rowdy ones, like IE6) and Node. It will define itself as an AMD module if you
want it to (i.e. if there's a define function available).

%prep
%autosetup -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/formatio
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/formatio
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} node_modules/buster/bin/buster-test --node
%endif

%files
%doc AUTHORS Readme.md
%license LICENSE
%{nodejs_sitelib}/formatio

%changelog
* Mon May 9 2022 liyanan <liyanan32@h-partners.com> - 1.2.0-2
- License compliance rectification

* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 1.2.0-1
- Package init
